aboutsummaryrefslogtreecommitdiffstats
path: root/manuals/osmo-gsm-manuals-dir.sh
diff options
context:
space:
mode:
authorOliver Smith <osmith@sysmocom.de>2018-11-29 10:28:10 +0100
committerOliver Smith <osmith@sysmocom.de>2018-11-29 16:19:08 +0100
commiteaa61bff5d06588f4c97f43b4a85f3a9a05b50c4 (patch)
treea0f8b186aace52b6dee4225091697293927b08d7 /manuals/osmo-gsm-manuals-dir.sh
parent751f410a056725ea05294ee51e8f15fb0cdf4cb8 (diff)
manuals/OsmoNITB: integrate into this repository
Move from doc/manuals to manuals/OsmoNITB as we have two more manuals (OsmoMGCP and OsmoNAT) that need to be moved to manuals/. Make the manuals build without a toplevel configure.ac file from autotools: $ cd manuals/OsmoNITB $ make openbsc/configure.ac is not used to integrate the manuals, as it would be extra effort to integrate all three of the manuals there. This is not worth it for the legacy codebase. Related: OS#3385 Change-Id: I0036ad8dbecd23695305ac491c7ee87caa44c7f9
Diffstat (limited to 'manuals/osmo-gsm-manuals-dir.sh')
-rwxr-xr-xmanuals/osmo-gsm-manuals-dir.sh26
1 files changed, 26 insertions, 0 deletions
diff --git a/manuals/osmo-gsm-manuals-dir.sh b/manuals/osmo-gsm-manuals-dir.sh
new file mode 100755
index 000000000..d080bc72d
--- /dev/null
+++ b/manuals/osmo-gsm-manuals-dir.sh
@@ -0,0 +1,26 @@
+#!/bin/sh -e
+# Find OSMO_GSM_MANUALS_DIR and print it to stdout. Print where it was taken from to stderr.
+
+# Find it in env, pkg-conf and ../../osmo-gsm-manuals
+RET="$OSMO_GSM_MANUALS_DIR"
+if [ -n "$RET" ]; then
+ RET="$(realpath $RET)"
+ echo "OSMO_GSM_MANUALS_DIR: $RET (from env)" >&2
+else
+ RET="$(pkg-config osmo-gsm-manuals --variable=osmogsmmanualsdir 2>/dev/null || true)"
+ if [ -n "$RET" ]; then
+ echo "OSMO_GSM_MANUALS_DIR: $RET (from pkg-conf)" >&2
+ else
+ RET="$(realpath $(realpath $(dirname $0))/../../osmo-gsm-manuals)"
+ echo "OSMO_GSM_MANUALS_DIR: $RET (fallback)" >&2
+ fi
+fi
+
+# Print the result or error message
+if [ -d "$RET" ]; then
+ echo "$RET"
+else
+ echo "ERROR: OSMO_GSM_MANUALS_DIR does not exist!" >&2
+ echo "Install osmo-gsm-manuals or set OSMO_GSM_MANUALS_DIR." >&2
+ exit 1
+fi